Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.runtime
Class JspFactoryImpl

    java.lang.Object
      javax.servlet.jsp.JspFactory
          org.apache.jasper.runtime.JspFactoryImpl

public class JspFactoryImpl
extends javax.servlet.jsp.JspFactory

Implementation of JspFactory from the spec. Helps create PageContext and other animals.

Author:
  Anil K. Vijendran

Field Summary
`static int` | `DEFAULT_POOL_SIZE`

Constructor Summary
`JspFactoryImpl()`
`JspFactoryImpl(int size)`

Method Summary
`javax.servlet.jsp.JspEngineInfo` | `getEngineInfo()`
`javax.servlet.jsp.PageContext` | `getPageContext(javax.servlet.Servlet servlet, javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, java.lang.String errorPageURL, boolean needsSession, int bufferSize, boolean autoflush)`
`void` | `releasePageContext(javax.servlet.jsp.PageContext pc)`

Methods inherited from class javax.servlet.jsp.JspFactory
`getDefaultFactory, setDefaultFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_POOL_SIZE

    public static final int DEFAULT_POOL_SIZE

See Also:
  Constant Field Values

Constructor Detail

### JspFactoryImpl

    public JspFactoryImpl()

### JspFactoryImpl

    public JspFactoryImpl(int size)

Method Detail

### getPageContext

    public javax.servlet.jsp.PageContext getPageContext(javax.servlet.Servlet servlet,
                                                        javax.servlet.ServletRequest request,
                                                        javax.servlet.ServletResponse response,
                                                        java.lang.String errorPageURL,
                                                        boolean needsSession,
                                                        int bufferSize,
                                                        boolean autoflush)

### releasePageContext

    public void releasePageContext(javax.servlet.jsp.PageContext pc)

### getEngineInfo

    public javax.servlet.jsp.JspEngineInfo getEngineInfo()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. All Rights Reserved.